public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/phpunit11] f43: v11.5.56
@ 2026-07-07 6:01 Remi Collet
0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-07-07 6:01 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/phpunit11
Branch : f43
Commit : 6f18efcdebd6a78cb88da8dbff7ee5b4b464d567
Author : Remi Collet <remi@fedoraproject.org>
Date : 2026-07-07T08:01:36+02:00
Stats : +20/-35 in 4 file(s)
URL : https://src.fedoraproject.org/rpms/phpunit11/c/6f18efcdebd6a78cb88da8dbff7ee5b4b464d567?branch=f43
Log:
v11.5.56
(cherry picked from commit 0ed64378b8fcb9276b8e695bca769dc6c618910e)
---
diff --git a/.gitignore b/.gitignore
index 1858b57..707ea1e 100644
--- a/.gitignore
+++ b/.gitignore
@@ -36,3 +36,4 @@
/phpunit11-11.5.53-a997a65.tgz
/phpunit11-11.5.54-eb7d132.tgz
/phpunit11-11.5.55-adc7262.tgz
+/phpunit11-11.5.56.tgz
diff --git a/makesrc.sh b/makesrc.sh
index 5e25d18..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,39 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
-VERSION=$(sed -n '/^%global upstream_version/{s/.* //;p}' $NAME.spec)
-MAJOR=$(sed -n '/^%global ver_major/{s/.* //;p}' $NAME.spec)
-MINOR=$(sed -n '/^%global ver_minor/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
+VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-DATE=$(date -d "$DATE -1 week" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --branch $MAJOR.$MINOR --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || \
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || \
- exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/phpunit11.spec b/phpunit11.spec
index cef0070..d06cfa2 100644
--- a/phpunit11.spec
+++ b/phpunit11.spec
@@ -16,9 +16,6 @@
%bcond_with defcmd
%endif
-%global gh_commit adc7262fccc12de2b30f12a8aa0b33775d814f00
-%global gh_date 2026-02-18
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project phpunit
# Packagist
@@ -30,18 +27,15 @@
%global ver_major 11
%global ver_minor 5
-%global upstream_version 11.5.55
-#global upstream_prever dev
-
Name: %{pk_project}%{ver_major}
-Version: %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
+Version: 11.5.56
Release: 1%{?dist}
Summary: The PHP Unit Testing framework version %{ver_major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{upstream_version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
# Fix command for autoload
@@ -81,10 +75,10 @@ BuildRequires: php-fedora-autoloader-devel >= 1.0.0
# From composer.json, "require": {
# "php": ">=8.2",
# "ext-dom": "*",
+# "ext-filter": "*",
# "ext-json": "*",
# "ext-libxml": "*",
# "ext-mbstring": "*",
-# "ext-xml": "*",
# "ext-xmlwriter": "*",
# "myclabs/deep-copy": "^1.13.4",
# "phar-io/manifest": "^2.0.4",
@@ -112,7 +106,6 @@ Requires: php-dom
Requires: php-json
Requires: php-libxml
Requires: php-mbstring
-Requires: php-xml
Requires: php-xmlwriter
Requires: (php-composer(myclabs/deep-copy) >= 1.13.4 with php-composer(myclabs/deep-copy) < 2)
Requires: (php-composer(phar-io/manifest) >= 2.0.4 with php-composer(phar-io/manifest) < 3)
@@ -166,7 +159,7 @@ Documentation: https://phpunit.de/documentation.html
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%patch -P0 -p0 -b .rpm
find . -name \*.rpm -delete -print
@@ -278,7 +271,7 @@ sed -e 's:@PATH@:%{buildroot}%{php_home}/%{ns_vendor}:' -i tests/bootstrap.php
sed -e 's:%{php_home}/%{ns_vendor}:%{buildroot}%{php_home}/%{ns_vendor}:' -i phpunit
ret=0
-for cmd in php php82 php83 php84 php85; do
+for cmd in php php82 php83 php84 php85 php86; do
if which $cmd; then
$cmd ./phpunit $OPT || ret=1
fi
@@ -299,6 +292,9 @@ exit $ret
%changelog
+* Tue Jul 7 2026 Remi Collet <remi@remirepo.net> - 11.5.56-1
+- update to 11.5.56
+
* Wed Feb 18 2026 Remi Collet <remi@remirepo.net> - 11.5.55-1
- update to 11.5.55
diff --git a/sources b/sources
index c9eb913..e18027f 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (phpunit11-11.5.55-adc7262.tgz) = ac813cf8648b14b28309ddf34cb646cf29adde73d639325e4fbdfa50f09a6eed544a2bead03cccb7dc8764853244dc58078e6aeb9fea512328cb569966ddb58d
+SHA512 (phpunit11-11.5.56.tgz) = 4a960545d940c96d6bffbb62ae6179437cb1b28ff14ce1ef36dd2ecc3997f1b9e90223d84f43a14c1052baa519c3cecd1d9df6b848d9e820f1aaba4af3ddccb6
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-07-07 6:01 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-07-07 6:01 [rpms/phpunit11] f43: v11.5.56 Remi Collet
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox